Subject: Re: vsdo_datapage.h WTF?

From: Anton Blanchard <[email-masked]>
Date: Sun, 8 Oct 2006 00:58:11 +1000

Hi,

> No. There -used- to be this systemcfg structure that was exposed to
> userspace on ppc64. I made it deprecated. However, for the sake of
> backward compatbility, I kept vdso datapage with the exact same layout
> for the first part of it (before the syscall maps) and haven't removed
> the mmap call for it, but it will be gone soon.

We need a way to export cache size/associativity information (sysfs,
/proc/device-tree parsing?) and a plan to fix the applications using it
first.

Anton